## junkfilter 19980901-1

=== debian/changelog ===
junkfilter (19980901-1) unstable; urgency=low

  * Initial Release.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon, 28 Sep 1998 09:39:11 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "g.russell@dcs.napier.ac.uk"
End:
