=== debian/control ===
Source: junkfilter
Section: mail
Priority: optional
Maintainer: Gordon Russell <g.russell@dcs.napier.ac.uk>
Standards-Version: 2.4.1

Depends: procmail
Package: junkfilter
Architecture: any
Description: A junk-email filtering program for procmail
 This package uses procmail filtering algorithms to detect junk email. This
 results in internal procmail variables being assigned to indicate the reason
 why the email has been classified as junk. The user can then use those
 variables within their .procmailrc file to deal with the junk in any way
 they see fit. There are a number of filters available in the package, and
 can be selected from a simple config file on a per-user basis.
