=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=junkfilter
ACTDIR =junkfilter-19980901
CONFDIR=debian/tmp/usr/lib/$(ACTDIR)

build:
	$(checkdir)
	
clean:
	$(checkdir)
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	cp j* $(CONFDIR)
	rm -f $(CONFDIR)/junkfilter-config
	cp addresses bodychk dialups headers ip $(CONFDIR)
	cp -r domains $(CONFDIR)
	cp -r deb-conf $(CONFDIR)
	cp userinstall $(CONFDIR)
	ln -s ../../lib/$(ACTDIR) debian/tmp/usr/doc/junkfilter/junk.conf
	ln -s $(ACTDIR) debian/tmp/usr/lib/junkfilter
	debstd junkfilter.readme
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
