## junkfilter 20030115

=== debian/changelog ===
junkfilter (20030115-4) unstable; urgency=low

  * Added homepage field to control file.

 -- Santiago Vila <sanvila@debian.org>  Mon, 19 Apr 2010 22:16:08 +0200

junkfilter (20030115-3) unstable; urgency=low

  * Some debian/rules cleanup.
  * Switch to 3.0 (quilt) source format.
  * Put the right years in copyright file.
  * Standards-Version: 3.8.4 (no changes for this).

 -- Santiago Vila <sanvila@debian.org>  Wed, 17 Feb 2010 17:32:12 +0100

junkfilter (20030115-2) unstable; urgency=low

  * Use `:' with chown for POSIX compliance, not `.'.

 -- Santiago Vila <sanvila@debian.org>  Wed, 19 Jul 2006 19:23:18 +0200

junkfilter (20030115-1) unstable; urgency=low

  * New upstream release.
  * Adopted this package (Closes: #156097).
  * Added README.DEVELOPERS to the doc directory.

 -- Santiago Vila <sanvila@debian.org>  Tue,  4 Feb 2003 18:01:40 +0100

junkfilter (20020519a-4) unstable; urgency=low

  * QA upload.
  * Switch to debhelper 4.
  * Move /usr/lib/junkfilter-20020519 to /usr/share/junkfilter, preserving
    the /usr/lib/junkfilter symlink for compatibility.  Move procmailrc.sample
    to /usr/share/doc/junkfilter/examples.  Closes: #161830.
  * Conforms to Standards version 3.5.8.

 -- Matej Vela <vela@debian.org>  Sun,  8 Dec 2002 22:30:37 +0100

junkfilter (20020519a-3) unstable; urgency=low

  * Yes Truly hanged

 -- Luis Arocha <data@debian.org>  Mon, 11 Nov 2002 21:06:27 +0000

junkfilter (20020519a-2) unstable; urgency=low

  * Changed maintaner to Debian QA Group. Package orphaned.

 -- Luis Arocha <data@debian.org>  Sun, 10 Nov 2002 16:45:58 +0000

junkfilter (20020519a-1) unstable; urgency=low

  * Previous two versions do not contain right upstream sources. Upstream
    version had to be change in order to upload new (and correct) sources.

 -- Luis Arocha <data@debian.org>  Mon,  3 Jun 2002 17:51:24 +0100

junkfilter (20020519-2) unstable; urgency=low

  * Yes. Now the upstream release. Thank you Stefan.

 -- Luis Arocha <data@debian.org>  Sun,  2 Jun 2002 19:52:06 +0100

junkfilter (20020519-1) unstable; urgency=low

  * New upstream release

 -- Luis Arocha <data@debian.org>  Sat,  1 Jun 2002 17:37:09 +0100

junkfilter (20010529-1) unstable; urgency=low

  * New upstream release. (closes: #101872)
  * New Maintainer. (closes: #130763)
  * Changed README.Debian. (closes: #102611)

 -- Luis Arocha <data@debian.org>  Sat, 26 Jan 2002 17:03:57 +0000

junkfilter (20001130-2) unstable; urgency=low

  * Architecture should have been ALL, not ANY. This problem came
    to light in 20001130-1, when I changed the build to binary-indep.
     (closes: #92282)

 -- Gordon Russell <gor@debian.org>  Mon,  2 Apr 2001 09:07:39 +0100

junkfilter (20001130-1) unstable; urgency=low

  * New upstream version
     (closes: #86467)
  * Uses /usr/share/doc rather than /usr/doc
     (closes: #91501)
  * User rules approach was a debian-only method. This has been discarded
    and instead the upstream approach is used. This may cause some
    incompatibility problems for users who are using junkfilter. Sorry.
     (closes: #63397)

 -- Gordon Russell <gor@debian.org>  Wed, 28 Mar 2001 13:01:00 +0100

junkfilter (19990331-1) unstable; urgency=low

  * New upstream version
    Bug #35008 (fixed) - Small typo in text . The request for a change of
                         relative softlink to absolute violates policy 4.5 and
                         was refused.
    Bug #35233,#37914  - New version released as requested

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 20 May 1999 11:39:17 +0100
