=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: junkfilter
 Section: mail
 Priority: optional
-Maintainer: Gordon Russell <g.russell@dcs.napier.ac.uk>
-Standards-Version: 2.4.1
+Maintainer: Santiago Vila <sanvila@debian.org>
+Standards-Version: 3.8.4
+Homepage: http://junkfilter.zer0.org/
 
+Package: junkfilter
+Architecture: all
 Depends: procmail
-Package: junkfilter
-Architecture: any
 Description: A junk-email filtering program for procmail
  This package uses procmail filtering algorithms to detect junk email. This
  results in internal procmail variables being assigned to indicate the reason
