=== debian/rules ===
#!/usr/bin/make -f

package = junkfilter
docdir = debian/tmp/usr/share/doc/$(package)

build:
	touch build

clean:
	rm -f build
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: build
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)/examples
	cd debian/tmp && install -d usr/share/$(package) usr/lib
	cp -p jf* junkfilter* debian/tmp/usr/share/junkfilter

	# Temporary hack:
	rm -f debian/tmp/usr/share/junkfilter/junkfilter.four.orig

	cp -p procmailrc.sample $(docdir)/examples
	cp -p README README.DEVELOPERS TODO debian/README.Debian \
		debian/copyright $(docdir)
	ln -s ../share/junkfilter debian/tmp/usr/lib/junkfilter
	cp -p debian/changelog $(docdir)/changelog.Debian
	cd $(docdir) && gzip -9 README changelog.Debian
	dpkg-gencontrol
	cd debian/tmp && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	chown -R 0:0 debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch: build

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
